## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname sphinx-autoapi
%global srcname_ sphinx_autoapi

Name:           python-%{srcname}
Version:        3.6.0
Release:        %autorelease
Summary:        Sphinx API documentation generator

License:        MIT
URL:            https://github.com/readthedocs/sphinx-autoapi
Source:         %pypi_source %{srcname_}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(beautifulsoup4)
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Sphinx AutoAPI is a Sphinx extension for generating complete API documentation
without needing to load, run, or import the project being documented.

In contrast to the traditional Sphinx autodoc, which requires manual authoring
and uses code imports, AutoAPI finds and generates documentation by parsing
source code.}

%description %{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname_}-%{version} -p1
# This symlink is lost from the sdist.
ln -s ../pyexample/example tests/python/pymovedconfpy/example

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# Switch to -l when flit supports PEP639 (3.11, probably.)
%pyproject_save_files -L autoapi

%check
%{pytest} -m 'not network'

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE.rst

%changelog
## START: Generated by rpmautospec
* Tue Feb 18 2025 Packit <hello@packit.dev> - 3.6.0-1
- Update to 3.6.0 upstream release
- Resolves: rhbz#2344606

* Mon Feb 10 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.5.0-1
- Update to latest version (#2344606)

* Mon Feb 10 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.2.1-3
- Add Packit configuration

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Aug 20 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.2.1-1
- import rhbz#2296242
## END: Generated by rpmautospec
